svn commit: samba r19473 - in branches/SAMBA_4_0/source/script/tests: . win

brad at samba.org brad at samba.org
Tue Oct 24 01:29:02 GMT 2006


Author: brad
Date: 2006-10-24 01:29:02 +0000 (Tue, 24 Oct 2006)
New Revision: 19473

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=19473

Log:
Add NET tests in their own script. Run the same set of tests that 'make test' does.
Comment those tests which don't pass.


Added:
   branches/SAMBA_4_0/source/script/tests/win/wintest_net.sh
Modified:
   branches/SAMBA_4_0/source/script/tests/test_win.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_win.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_win.sh	2006-10-24 01:25:09 UTC (rev 19472)
+++ branches/SAMBA_4_0/source/script/tests/test_win.sh	2006-10-24 01:29:02 UTC (rev 19473)
@@ -36,6 +36,10 @@
 	$SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP \
 	|| all_errs=`expr $all_errs + $?`
 
+$WINTEST_DIR/wintest_net.sh $SMBTORTURE_REMOTE_HOST $SMBTORTURE_USERNAME \
+	$SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP \
+	|| all_errs=`expr $all_errs + $?`
+
 test_name="WINDOWS CLIENT / SAMBA SERVER SHARE"
 old_errs=$all_errs
 cat $WINTEST_DIR/common.exp > $TMPDIR/client_test.exp

Added: branches/SAMBA_4_0/source/script/tests/win/wintest_net.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/win/wintest_net.sh	2006-10-24 01:25:09 UTC (rev 19472)
+++ branches/SAMBA_4_0/source/script/tests/win/wintest_net.sh	2006-10-24 01:29:02 UTC (rev 19473)
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+. script/tests/test_functions.sh
+
+. script/tests/win/wintest_functions.sh
+
+# This variable is defined in the per-hosts .fns file.
+. $WINTESTCONF
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_net.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+ncacn_np_tests="NET-API-LOOKUP NET-API-LOOKUPHOST NET-API-RPCCONN-BIND NET-API-RPCCONN-SRV NET-API-RPCCONN-DC NET-API-RPCCONN-DCINFO NET-API-LISTSHARES"
+#These tests fail on ncacn_np: NET-API-LOOKUPPDC NET-API-CREATEUSER NET-API-DELETEUSER
+
+ncalrpc_tests="NET-API-RPCCONN-SRV NET-API-RPCCONN-DC NET-API-RPCCONN-DCINFO NET-API-LISTSHARES"
+#These tests fail on ncalrpc: NET-API-CREATEUSER NET-API-DELETEUSER
+
+ncacn_ip_tcp_tests="NET-API-LOOKUP NET-API-LOOKUPHOST NET-API-RPCCONN-SRV NET-API-RPCCONN-DC NET-API-RPCCONN-DCINFO NET-API-LISTSHARES"
+#These tests fail on ncacn_ip_tcp: NET-API-LOOKUPPDC NET-API-CREATEUSER NET-API-DELETEUSER
+
+bind_options="seal,padcheck bigendian"
+
+test_type="ncalrpc ncacn_np ncacn_ip_tcp"
+
+all_errs=0
+for o in $bind_options; do
+	for transport in $test_type; do
+		case $transport in
+			ncalrpc) net_test=$ncalrpc_tests ;;
+			ncacn_np) net_test=$ncacn_np_tests ;;
+			ncacn_ip_tcp) net_test=$ncacn_ip_tcp_tests ;;
+		esac
+
+		for t in $net_test; do
+			test_name="$t on $transport with $o"
+			old_errs=$all_errs
+			testit "$test_name" $SMBTORTURE_BIN_PATH \
+				-U $username%$password \
+				-W $domain \
+				$transport:$server[$o] \
+				$t || all_errs=`expr $all_errs + 1`
+			if [ $old_errs -lt $all_errs ]; then
+				restore_snapshot "\n$test_name failed."
+			fi
+		done
+	done
+done
+
+testok $0 $all_errs


Property changes on: branches/SAMBA_4_0/source/script/tests/win/wintest_net.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list